Bug 159938 - Automatic computer shutdown when finished downloading
Summary: Automatic computer shutdown when finished downloading
Status: RESOLVED FIXED
Alias: None
Product: kget
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: KGet authors
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-27 08:42 UTC by Jörg Gottschlich
Modified: 2008-07-23 22:38 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jörg Gottschlich 2008-03-27 08:42:41 UTC
Version:           v0.8.5 (using 3.5.9, Gentoo)
Compiler:          Target: i686-pc-linux-gnu
OS:                Linux (i686) release 2.6.23-gentoo-r9

It would be nice to let kget shutdown the computer after all downloads finished. By that, you could just start downloads before you go to bed and when they are finished the computer will be switched off.
Save the climate! :-)

I consider this a very useful feature, especially for large downloads which wouldn't take your bandwidth while you're working.
Comment 1 Urs Wolfer 2008-04-01 23:19:58 UTC
Good idea.
Comment 2 Javier goday 2008-07-23 22:38:47 UTC
SVN commit 837124 by jgoday:

Add a option to Automatic computer shutdown when finished downloading 
BUG:159938


 M  +13 -0     CMakeLists.txt  
 M  +19 -6     conf/dlgadvanced.ui  
 M  +4 -1      conf/kget.kcfg  
 M  +17 -2     conf/preferencesdialog.cpp  
 M  +5 -0      conf/preferencesdialog.h  
 M  +5 -0      core/kget.h  
 M  +59 -22    core/transferhandler.cpp  
 M  +16 -1     core/transferhandler.h  
 M  +1 -1      mainwindow.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=837124